libastro-fits-cfitsio-perl (1.16-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.16.
  * Update years of upstream and packaging copyright.
  * Add patch to use ExtUtils::PkgConfig instead of the
    unpackaged Alien::CFITSIO.
  * Add build dependency on libextutils-pkgconfig-perl.
  * debian/rules: drop override_dh_auto_configure.
    With the usage of ExtUtils::PkgConfig we don't need
    the environment variable anymore.
  * Build depend on libcfitsio-dev >= 4.1.0.
    That's what Alien::CFITSIO would get us.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Aug 2022 18:08:58 +0200

libastro-fits-cfitsio-perl (1.15-1) unstable; urgency=medium

  * Import upstream version 1.15.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Sep 2020 21:29:09 +0200

libastro-fits-cfitsio-perl (1.14-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 1.14.
  * Update years of upstream and packaging copyright.
  * Bump versioned build dependency on libcfitsio-dev to 3.480.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Aug 2020 02:26:19 +0200

libastro-fits-cfitsio-perl (1.12-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Marc 'HE' Brockschmidt from Uploaders. (Closes: #873348)

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org
  * Import upstream version 1.12
  * New upstream version 1.12
  * Declare compliance with policy 4.2.1
  * Bump debhelper compat level to 10
  * Add upstream/metadata
  * Update libcfitsio-dev dependency version to 3.440
  * debian/rules: replace DEB_HOST_ARCH by /usr/share/dpkg/architecture.mk

 -- Xavier Guimard <yadd@debian.org>  Thu, 25 Oct 2018 06:31:52 +0200

libastro-fits-cfitsio-perl (1.11-2) unstable; urgency=medium

  * Fix autopkgtest.
    Add debian/tests/pkg-perl/smoke-files with the required files.
    (Closes: #841973)
  * Set bindnow linker flag in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 Oct 2016 23:59:22 +0200

libastro-fits-cfitsio-perl (1.11-1) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Change build dependency from libcfitsio3-dev to libcfitsio-dev.
    (Closes: #761714)

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Chris Butler from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * New upstream version 1.11
  * Update copyright years
  * Depend on cfitsio >= 3.390 (for new functions)
  * Declare compliance with Debian Policy 3.9.8
  * Mention module name in description

 -- Florian Schlichting <fsfs@debian.org>  Fri, 21 Oct 2016 20:19:14 +0200

libastro-fits-cfitsio-perl (1.10-1) unstable; urgency=low

  * Imported Upstream version 1.10
  * debian/copyright:
    - Correct examples/m51.fits.gz license
    - Update years
  * Update libcfitsio3-dev dependency version to 3.340

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 14 Sep 2013 08:54:56 +0200

libastro-fits-cfitsio-perl (1.09-1) unstable; urgency=low

  [ Xavier Guimard ]
  * Imported Upstream version 1.09
  * Bump Standards-Version to 3.9.4
  * Use debhelper 9.20120312
  * Update debian/copyright to format 1.0
  * Remove README from docs

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Bump versioned build dependency on libcfitsio3-dev.
    Fixes FTBFS against older cfitsio.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Aug 2013 01:58:25 +0200

libastro-fits-cfitsio-perl (1.08-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Bump versioned build dependency on libcfitsio3-dev.
  * Switch to debhelper compatibility level 9 to pass CFLAGS to
    Makefile.PL/Build.PL.
  * Add /me to Uploaders.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Jan 2012 15:38:50 +0100

libastro-fits-cfitsio-perl (1.07-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Removed myself from uploaders.

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * Remove Florian Ragwitz from Uploaders (Closes: #523229)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Chris Butler ]
  * New upstream release
    - increased Build-Dep on libcfitsio3-dev to 3.26
  * Switched to source format 3.0 (quilt)
  * Updated copyright to DEP-5 format
  * Switched to debhelper 7 with tiny rules file
  * Upped Standards-Version to 3.9.2 (no changes required)

 -- Chris Butler <chrisb@debian.org>  Sun, 24 Jul 2011 17:00:43 +0200

libastro-fits-cfitsio-perl (1.05-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Damyan Ivanov ]
  * debian/rules:
    + add stamps and fix target dependencies
    + drop unused dh_installdirs, dh_link and dh_installman
    + use "$@" when touching stamps
  * fix adding -ffunction-sections to CFLAGS on hppa
  * wrapped Uploaders
    + also remove Michael Zehrer and add myself
  * debian/watch:
    + use dust-based URL
    + add v? to the pattern
    + better version pattern
  * debian/copyright:
    + use dist-based upstream URL
    + use the actual licensing terms (same as Perl) instead of those of
      libcfitsio
  * debhelper compatibility level 6
  * Standards-Version 3.7.3 (no changes)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Jan 2008 14:11:13 +0200

libastro-fits-cfitsio-perl (1.05-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * Compile against cfitsio3. (Closes: #372797)
  * Don't ignore the return value of 'make test'.
  * Don't ignore the return value of 'make distclean'
  * Set debhelper compatibility level to 5.

  [ Niko Tyni ]
  * Don't link unnecessarily against the math library (-lm).

 -- Niko Tyni <ntyni@iki.fi>  Tue, 26 Sep 2006 21:45:34 +0300

libastro-fits-cfitsio-perl (1.04-1) unstable; urgency=low

  * New upstream release
  * debian/watch: updated
  * debian/control:
   - Uploaders: added me.
   - Standards-Version: increased to 3.7.2 (no changes)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu,  8 Jun 2006 15:36:07 +0200

libastro-fits-cfitsio-perl (1.03-1) unstable; urgency=low

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 13 Apr 2005 11:09:31 -0500

libastro-fits-cfitsio-perl (1.02-1) unstable; urgency=low

  * Florian Ragwitz
    + New upstream verson.
  * Marc 'HE' Brockschmidt:
    + debian/control: Added me to uploaders.
  * Gunnar Wolf:
    + debian/control: Fixed some lintian warnings, bumped up Standards-version
      to 3.6.1
    + debian/control: Added me to uploaders

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 28 May 2004 13:06:54 -0300

libastro-fits-cfitsio-perl (1.01-5) unstable; urgency=low

  * Corrected Maintainer e-Mail Address

 -- Joachim Breitner <nomeata@debian.org>  Fri, 27 Feb 2004 12:21:36 +0100

libastro-fits-cfitsio-perl (1.01-4) unstable; urgency=low

  * Adopted orphaned package for Debian Perl Group (Closes: #204458)
  * debian/rules: Updated

 -- Michael Zehrer <zehrer@zepan.org>  Sun, 01 Feb 2004 08:07:00 +0100

libastro-fits-cfitsio-perl (1.01-3) unstable; urgency=low

  * Orphaned package, maintainer is now Debian QA Group.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Thu,  7 Aug 2003 13:54:32 +0100

libastro-fits-cfitsio-perl (1.01-2) unstable; urgency=low

  * Use dh_shlibdeps to set the dependencies so the package has the
    correct libc6 dependency on alpha and IA64. Closes: #196601, thanks to
    cjwatson@debian.org for pointing out this problem and the solution.
  * Now using debhelper 4, and debian/compat instead of DH_COMPAT.
  * Section is now perl.
  * Now have .3pm manpages not .3perl in accordance with Debian Perl
    policy.
  * Standards version is now 3.5.10, no changes needed.
  * Changed Build-Depends on perl to a minimum version of 5.6.0-16, in
    accordance with Debian Perl policy.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Fri, 13 Jun 2003 10:26:39 +0100

libastro-fits-cfitsio-perl (1.01-1) unstable; urgency=low

  * New upstream release - Interfaces to routines added in recent versions
    of CFITSIO and some bug fixes.
  * Updated standards version to 3.5.8.
  * Clarified the debian/copyright statement.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Wed, 18 Dec 2002 16:45:34 +0000

libastro-fits-cfitsio-perl (1.00-9) unstable; urgency=low

  * Fix broken dependencies for i386 - bad upload of previous version

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue,  5 Nov 2002 13:46:11 +0000

libastro-fits-cfitsio-perl (1.00-8) unstable; urgency=low

  * Recompile with new dependencies to reflect the name changes: cfitsio2
    to libcfitsio2 and cfitsio-dev to libcfitsio-dev.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue,  5 Nov 2002 12:01:17 +0000

libastro-fits-cfitsio-perl (1.00-7) unstable; urgency=low

  * Try and make the package build on s390 instead of just hanging. I
    think it is just taking an extraordinarily long time to build and link
    with the optimisation set to -O2, I will thus try it with -O1 instead.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Wed, 23 Oct 2002 13:05:03 +0100

libastro-fits-cfitsio-perl (1.00-6.1) unstable; urgency=low

  * Non-maintainer upload (BSP)
  * Rebuilt for perl 5.8

 -- Bas Zoetekouw <bas@debian.org>  Sat, 31 Aug 2002 20:23:47 +0000

libastro-fits-cfitsio-perl (1.00-6) unstable; urgency=low

  * Fixed the FTBFS on hppa, which required -ffunction-sections to be
    added for compilation (closes: #155728).
  * Fixed the build failure on all architectures caused by using the wrong
    target in debian/rules (should have been using binary-arch instead of
    binary-indep) (closes: #155775).

 -- Stephen Quinney <stephen@jadevine.org.uk>  Wed,  7 Aug 2002 17:10:35 +0100

libastro-fits-cfitsio-perl (1.00-5) unstable; urgency=low

  * Fixed the double dependency on cfitsio2

 -- Stephen Quinney <stephen@jadevine.org.uk>  Sun,  4 Aug 2002 16:51:07 +0100

libastro-fits-cfitsio-perl (1.00-4) unstable; urgency=low

  * Fixed copyright to point to copy of Perl license.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Wed, 24 Jul 2002 19:58:03 +0100

libastro-fits-cfitsio-perl (1.00-3) unstable; urgency=low

  * Fixed debian/rules so that the package builds using the cfitsio2
    shared library rather than the static one. Changed the build
    dependencies in control to mirror this change and also added the
    missing cfitsio2 to the depends line.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue,  2 Jul 2002 19:04:08 +0100

libastro-fits-cfitsio-perl (1.00-2) unstable; urgency=low

  * Example scripts have had the "use blib;" line removed so that anyone
    can use them from the example directory in the module's docs directory.

  * Added a README.Debian to point out that PDL and PGPLOT Perl modules
    are required for running most of the examples.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Mon,  1 Jul 2002 20:30:18 +0100

libastro-fits-cfitsio-perl (1.00-1) unstable; urgency=low

  * Initial Release (closes: #151457).

 -- Stephen Quinney <stephen@jadevine.org.uk>  Sun, 30 Jun 2002 20:28:37 +0100
